<?php
$theme_options = get_option('symphony_options');
?>
			<footer role="contentinfo">
			
				<div id="footer-widgets" class="clearfix">
				<?php for( $i = 1 ; $i <= 4 ; $i++ ){ ?>
					<div class="f-widget f-widget-<?php echo $i; ?>">
					<?php 	dynamic_sidebar( 'Footer Sidebar ' . $i ); ?>
					</div>
				<?php } ?>
				</div>
				<div id="inner-footer" class="clearfix">
                    <div class="footer-info">
						<nav role="navigation">
							<?php if  ( $theme_options['symphony_footer_navigation'] ) wptriumph_footer_links(); else wptriumph_footer_links_fallback(); // Adjust using Menus in Wordpress Admin ?>
						</nav>
			
						<p class="attribution">
						<?php
							if ( $theme_options['symphony_footer_credit_text'] ) : echo $theme_options['symphony_footer_credit_text'] ;
							else : ?>
							&copy; <?php bloginfo('name'); ?> <?php _e('is powered by', 'wptriumph'); ?> <a href="http://wordpress.org/" title="WordPress">WordPress</a> <span class="amp">&</span> Blackout <a href="http://wptriumph.com" title="blackput" class="footer_bones_link">Premium WP Theme</a>.
							<?php endif; ?>
						</p>
                        <div class="clearfix"></div>
					</div>
				</div> <!-- end #inner-footer -->
				
			</footer> <!-- end footer -->
		
		</div> <!-- end #container -->

		<!-- custom scripts -->
		<script src="<?php echo get_template_directory_uri(); ?>/library/js/scripts.js"></script>
        <?php 
		if ( $theme_options['symphony_homepage_main_slider'] ){
		?>
        <script>
			$('#slider').fwSlider( { autoPlay:<?php echo $theme_options['symphony_auto_slide']? 'true' : 'false'; ?>, delay:<?php echo isset($theme_options['symphony_homepage_main_slider'])? $theme_options['symphony_auto_slide_timer'] . '000' : '5000'; ?>  } );
		</script>
        <?php
		}
		?>
		<!--[if (lt IE 9) & (!IEMobile)]>
			<script src="<?php echo get_template_directory_uri(); ?>/library/js/libs/ie/DOMAssistantCompressed-2.8.js"></script>
			<script src="<?php echo get_template_directory_uri(); ?>/library/js/libs/ie/selectivizr-1.0.1.js"></script>
			<script src="<?php echo get_template_directory_uri(); ?>/library/js/libs/respond.min.js"></script>
		<![endif]-->		
		
		<!--[if lt IE 7 ]>
    		<script src="<?php echo get_template_directory_uri(); ?>/library/js/libs/ie/dd_belatedpng.js"></script>
    		<script>DD_belatedPNG.fix("img, .png_bg");</script>
  		<![endif]-->
		<?php if ( $theme_options['symphony_footer_script'] )  echo $theme_options['symphony_footer_script'] ; ?>
		<?php wp_footer(); // js scripts are inserted using this function ?>
		
		<!-- Insert Analytics -->
		
		<!-- End Analytics -->

	</body>

</html>