<?php


function wpx_option_main(){
	$shortname = 'symphony';
	$options = array();

$options[] = array( "name" => __("Homepage Settings", "wptriumph"),
					"id" => "menu-homepage",
					"class" => "homepage",
                    "type" => "open-tab");

$options[] = array( "name" => __("Homepage Main Slider Settings", "wptriumph"),
                    "type" => "heading");
										
$options[] = array( "name" => __("Activate Homepage Main Slider", "wptriumph"),
					"id" => $shortname . "_homepage_main_slider",
					"std" => 0,
                    "type" => "check",
					"description" => __('The main slider, check it to show on homepage', "wptriumph"));

$options[] = array( "name" => __("Post Categories.", "wptriumph"),
					"id" => $shortname . "_post_categories",
					"std" => "",
                    "type" => "multiple2",
					"options" => wptriumph_category_array(), // array('cat 1', 'cat 2'),
					"description" => __('Select which categories to show on the slider, CTRL + click to select multiple categories.', "wptriumph"));

$options[] = array( "name" => __("Show Posts Number", "wptriumph"),
					"id" => $shortname . "_posts_number",
					"std" => 5,
                    "type" => "select",
					"options" => array(1,2,3,4,5,6,7,8,9,10),
					"description" => __('Select the number of posts to show on the slider.', "wptriumph"));

$options[] = array( "name" => __("Enable auto slide", "wptriumph"),
					"id" => $shortname . "_auto_slide",
					"std" => 1,
                    "type" => "check",
					"description" => __('Check if you want the slider do auto sliding.', "wptriumph"));

$options[] = array( "name" => __("Auto slide timer", "wptriumph"),
					"id" => $shortname . "_auto_slide_timer",
					"std" => 5,
                    "type" => "select",
					"options" => array(1,2,3,4,5,6,7,8,9,10),
					"description" => __('Select the auto slide time, in second(s).', "wptriumph"));

// Close Homepage Tab
$options[] = array( "type" => "close-tab",
					"column" => 2 );

// Create new Navigation Tab

$options[] = array( "name" => __("General Options", "wptriumph"),
 					"class" => "general",
					"id" => "menu-genereal",
                   "type" => "open-tab");

$options[] = array( "name" => __("Menu Setting", "wptriumph"),
                    "type" => "heading");

$options[] = array( "name" => __("Custom Logo", "wptriumph"),
					"id" => $shortname . "_custom_logo",
					"std" => "",
                    "type" => "image",
					"description" => __('Upload or insert the URL of image for a custom logo, the size is 200x50 px.', "wptriumph"));
					
$options[] = array( "name" => __("Use Text Logo", "wptriumph"),
					"id" => $shortname . "_text_logo",
					"std" => 0,
                    "type" => "check",
					"description" => __('Check this to use plain text as a logo, the text itself taken from blog title at <a href="'. get_bloginfo('site_url').'/wp-admin/options-general.php">General Setting</a>.', "wptriumph"));

$options[] = array( "name" => __("Custom Favicon", "wptriumph"),
					"id" => $shortname . "_custom_favicon",
					"std" => "",
					"type" => "image",
					"description" => __('Upload or insert the URL of image for a custom favicon, 16x16 px .ico or .png file.', "wptriumph"));

$options[] = array( "name" => __("Make the web responsive.", "wptriumph"),
					"id" => $shortname . "_is_responsive",
					"std" => 1,
                    "type" => "check",
					"description" => '');

$options[] = array( "name" => __("Twitter URL", "wptriumph"),
					"id" => $shortname . "_twitter_url",
					"std" => __(''),
					"type" => "text",
					"description" => __('Full twitter URL of your account, eg. http://twitter.com/wptriumph.', "wptriumph"));
					
$options[] = array( "name" => __("Facebook URL", "wptriumph"),
					"id" => $shortname . "_facebook_url",
					"std" => __(''),
					"type" => "text",
					"description" => __('Full facebook URL of your account, eg. http://facebook.com/wptriumph.', "wptriumph"));

// Close General Tab
$options[] = array( "type" => "close-tab",
					"column" => 1 );

//Create Post Options Tab
$options[] = array( "name" => __("Post Options", "wptriumph"),
 					"class" => "post-options",
					"id" => "post-options",
                   "type" => "open-tab");

/*$options[] = array( "name" => __("Show Featured Image/Video",
					"id" => $shortname . "_post_featured_image",
					"std" => 1,
                    "type" => "check",
					"description" => __('')
					);*/

$options[] = array( "name" => __("Use video as post thumbnail.", "wptriumph"),
					"id" => $shortname . "_post_use_video",
					"std" => 1,
                    "type" => "check",
					"description" => __('Enable it to use video as a thumbnail for post on the homepage and archives page.', "wptriumph")
					);
					
/*$options[] = array( "name" => __("Show Related Posts",
					"id" => $shortname . "_post_related",
					"std" => 1,
                    "type" => "check",
					"description" => __('')
					);*/
					
					
$options[] = array(	"type" => "close-tab",
					"column"=> 1 );

//Create Post Options Tab
$options[] = array( "name" => __("Footer Options", "wptriumph"),
 					"class" => "footer-options",
					"id" => "footer-options",
                   "type" => "open-tab");

$options[] = array( "name" => __("Show Footer Navigation", "wptriumph"),
					"id" => $shortname . "_footer_navigation",
					"std" => 1,
                    "type" => "check",
					"description" => ''
					);
					
$options[] = array( "name" => __("Footer Credit Text.", "wptriumph"),
					"id" => $shortname . "_footer_credit_text",
					"std" => '',
                    "type" => "textarea",
					"description" => ''
					);
					
$options[] = array( "name" => __("Footer Additional Script.", "wptriumph"),
					"id" => $shortname . "_footer_script",
					"std" => '',
                    "type" => "textarea",
					"description" => __('For placement additional script such as Google Analytics script.', "wptriumph")
					);

$options[] = array(	"type" => "close-tab",
					"column"=> 1 );


	return $options;
}
?>