<?php
// FINEZINE RECENT POSTS WIDGET v.1.0
// www.wepixels.com

class WP_Widget_Recent_Posts_wptriumph extends WP_Widget {
	/** constructor */
	function WP_Widget_Recent_Posts_wptriumph() {
		$widget_ops = array('classname' => 'widget_posts_wrap', 'description' => __( 'wptriumph - Recent Posts v.1.0', 'wptriumph') );
		$this->WP_Widget('recent_posts_wptriumph', __('wptriumph - Recent Posts', 'wptriumph'), $widget_ops);
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance) {		
		extract( $args );
		$default = array ('widget_title'=>__('Recent Posts','wptriumph'), 'cats'=>'', 'cat'=>'', 'quantity'=>1, 'exclude'=>'', 'order'=>'date', 'thumbs'=>'display', 'size'=>'small', 'titles'=>'display', 'date'=>'display', 'excerpt'=>'display', 'not_in'=>'' );
		$instance = wp_parse_args($instance, $default);
		$widget_title = apply_filters('widget_title', $instance['widget_title']);
		$cats = $instance['cats'];
		$cat = $instance['cat'];
		$quantity = $instance['quantity'];
		$exclude = $instance['exclude'];
		$order = $instance['order'];
		$thumbs = $instance['thumbs'];
		$size = $instance['size'];
		$titles = $instance['titles'];
		$date = $instance['date'];
		$excerpt = $instance['excerpt'];
		$not_in = $instance['not_in'];
		$thumbsize = array(60,60);//'thumb-60';
		$xy = 50;
		if ( $size == 'large' ){
			$thumbsize = 'thumbnail';
			$xy = 98;
		}
		// DISPALY WIDGET
		echo $before_widget;
		?>
			<?php if(!empty($instance['widget_title']) && $cat == "multiple_cat"){ echo $before_title . $widget_title . $after_title; } ?>
            <?php if($cat != 'multiple_cat') { echo $before_title.'<a href="'. get_category_link( $cat ) .'">'. apply_filters('widget_title', get_cat_name( $cat )) .'<span>see more...</span></a>'.$after_title; } ?>
            <div class="clear"></div>
			<ul class="widget_posts">
			<?php
				$q = $quantity;
				$i = 0;
				if ( $cat == "multiple_cat" ){
					$category = $cats;
				}else{
					$category = $cat;
				}
			//query_posts("showposts=$q&cat=$cats&$order");
			$r = new WP_Query(array('showposts' => $quantity, 'cat' => $category, 'orderby'=>$order, 'post_status' => 'publish', 'ignore_sticky_posts' => 1,'post__not_in' => $not_in));
			while ($r->have_posts()) : $r->the_post();
			 ?>
				<li>
					<?php
					if ($thumbs!="hide") {
						$values = get_post_custom_values("full_image_value");
						$image2 = $values[0];
						// CHECK IMAGE POST
						if (has_post_thumbnail()){ ?>
							<a href="<?php the_permalink() ?>" class="athumb"><?php the_post_thumbnail($thumbsize); ?></a>
						<?php	} else { ?>
							<a href="<?php the_permalink() ?>" class="athumb"><img src="<?php bloginfo('template_directory'); ?>/library/images/noimg.png" width="60" height="60" alt="<?php the_title(); ?>" /></a>
					<?php 
						}
					;}?>
					<?php if ($titles!='hide') { ?>
						<h3<?php if ($date=='hide' && $excerpt=='hide') echo ' class="clearfix"'; ?>><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
					<?php ;} ?>
					<?php if ($date!='hide') { ?>
						<div class="meta<?php if ( $excerpt=='hide') echo ' clearfix'; ?>"><?php the_time('m.d.y') ?>&nbsp;/&nbsp;<?php comments_popup_link('No comments','1 comment','% comments'); ?></div>
					<?php ;} ?>
					<?php if ($excerpt!='hide') { ?>
						<p class="clearfix"><?php echo excerpt_string( get_the_excerpt(), 15 ); ?></p>
					<?php } ?>
				</li>
			<?php 
			endwhile;
			wp_reset_query(); 
			?>
			</ul>
			<div class="clear"><!-- --></div>
		<?php
		echo $after_widget;
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		$instance['widget_title'] = strip_tags($new_instance['widget_title']);
		$instance['cats'] = strip_tags($new_instance['cats']);
		$instance['cat'] = strip_tags($new_instance['cat']);
		$instance['quantity'] = strip_tags($new_instance['quantity']);
		$instance['exclude'] = strip_tags($new_instance['exclude']);
		$instance['order'] = strip_tags($new_instance['order']);
		$instance['thumbs'] = strip_tags($new_instance['thumbs']);
		$instance['size'] = strip_tags($new_instance['size']);
		$instance['titles'] = strip_tags($new_instance['titles']);
		$instance['date'] = strip_tags($new_instance['date']);
		$instance['excerpt'] = strip_tags($new_instance['excerpt']);
		
		$default = array ('widget_title'=>__('Recent Posts','wptriumph'), 'cats'=>'', 'cat'=>'', 'quantity'=>1, 'exclude'=>'', 'order'=>'date', 'thumbs'=>'display', 'size'=>'small', 'titles'=>'display', 'date'=>'display', 'excerpt'=>'display');

		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {				
		$default = array ('widget_title'=>__('Recent Posts','wptriumph'), 'cats'=>'', 'cat'=>'', 'quantity'=>1, 'exclude'=>'', 'order'=>'date', 'thumbs'=>'display', 'size'=>'small', 'titles'=>'display', 'date'=>'display', 'excerpt'=>'display');
		$instance = wp_parse_args( $instance, $default );
		$widget_title = $instance['widget_title'];
		$cats = $instance['cats'];
		$cat = $instance['cat'];
		$quantity = $instance['quantity'];
		$exclude = $instance['exclude'];
		$order = $instance['order'];
		$thumbs = $instance['thumbs'];
		$size = $instance['size'];
		$titles = $instance['titles'];
		$date = $instance['date'];
		$excerpt = $instance['excerpt'];
		?>
		<input style="display:none;" type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>" />
		<p>
			Widget title ( Will automaticly use category name when select single category ) :
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('widget_title'); ?>" value="<?php echo $widget_title; ?>" />
		</p>
        <p>
        	Category :
            <select name="<?php echo $this->get_field_name('cat'); ?>">
            	<option value="multiple_cat" <?php if ($cat == 'multiple_cat') echo 'selected';  ?>>Multiple Categories</option>
                <?php
				$of_categories = array();  
				$of_categories_obj = get_categories('hide_empty=0');
				foreach ($of_categories_obj as $of_cat) {
				?>
				<option value="<?php echo $of_cat->cat_ID; ?>" <?php if ($cat == $of_cat->cat_ID) echo 'selected'; ?>><?php echo $of_cat->cat_name; ?></option>
                <?php //$of_categories[$of_cat->cat_ID] = $of_cat->cat_name;
				}
				?>
            </select>
        </p>
		<p>
			Enter ID of categories e.g. 1,2,3,4. Leave it blank to pull all categories ( if multiple category choosed ).
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('cats'); ?>" value="<?php echo $cats; ?>" />
		</p>
		<p>
			Posts:
			<select name="<?php echo $this->get_field_name('quantity'); ?>">
				<option value="1" <?php if ($quantity=="1"):?> selected <?php endif; ?>>1</option>
				<option value="2" <?php if ($quantity=="2"):?> selected <?php endif; ?>>2</option>
				<option value="3" <?php if ($quantity=="3"):?> selected <?php endif; ?>>3</option>
				<option value="4" <?php if ($quantity=="4"):?> selected <?php endif; ?>>4</option>
				<option value="5" <?php if ($quantity=="5"):?> selected <?php endif; ?>>5</option>
				<option value="6" <?php if ($quantity=="6"):?> selected <?php endif; ?>>6</option>
				<option value="7" <?php if ($quantity=="7"):?> selected <?php endif; ?>>7</option>
				<option value="8" <?php if ($quantity=="8"):?> selected <?php endif; ?>>8</option>
				<option value="9" <?php if ($quantity=="9"):?> selected <?php endif; ?>>9</option>
				<option value="10" <?php if ($quantity=="10"):?> selected <?php endif; ?>>10</option>
				<option value="11" <?php if ($quantity=="11"):?> selected <?php endif; ?>>11</option>
				<option value="12" <?php if ($quantity=="12"):?> selected <?php endif; ?>>12</option>
				<option value="13" <?php if ($quantity=="13"):?> selected <?php endif; ?>>13</option>
				<option value="14" <?php if ($quantity=="14"):?> selected <?php endif; ?>>14</option>
				<option value="15" <?php if ($quantity=="15"):?> selected <?php endif; ?>>15</option>
			</select>
		</p>
		<p>
			Order posts by:
			<select name="<?php echo $this->get_field_name('order'); ?>">
				<option value="date" <?php if ($order=="date"):?> selected <?php endif; ?>>date</option>
				<option value="rand" <?php if ($order=="rand"):?> selected <?php endif; ?>>random</option>
                <option value="comment_count" <?php if ($order=="comment_count"):?> selected <?php endif; ?>>popular</option>
			</select>
			<div style="height:12px; border-top:2px solid #DFDFDF;"><!-- --></div>
		</p>
		<p>
			Thumbs:
			<select name="<?php echo $this->get_field_name('thumbs'); ?>">
				<option value="hide" <?php if ($thumbs=="hide"):?> selected <?php endif; ?>>hide</option>
				<option value="display" <?php if ($thumbs=="display"):?> selected <?php endif; ?>>display</option>
			</select>
		</p>
		<p>
			Thumbs Size:
			<select name="<?php echo $this->get_field_name('size'); ?>">
				<option value="small" <?php if ($size=="small"):?> selected <?php endif; ?>>small</option>
				<option value="large" <?php if ($size=="large"):?> selected <?php endif; ?>>large</option>
			</select>
		</p>
		<p>
			Titles:
			<select name="<?php echo $this->get_field_name('titles'); ?>">
				<option value="display" <?php if ($titles=="display"):?> selected <?php endif; ?>>display</option>
				<option value="hide" <?php if ($titles=="hide"):?> selected <?php endif; ?>>hide</option>
			</select>
		</p>
		<p>
			Meta:
			<select name="<?php echo $this->get_field_name('date'); ?>">
				<option value="display" <?php if ($date=="display"):?> selected <?php endif; ?>>display</option>
				<option value="hide" <?php if ($date=="hide"):?> selected <?php endif; ?>>hide</option>
			</select>
		</p>
		<p>
			Excerpt:
			<select name="<?php echo $this->get_field_name('excerpt'); ?>">
				<option value="hide" <?php if ($excerpt=="hide"):?> selected <?php endif; ?>>hide</option>
				<option value="display" <?php if ($excerpt=="display"):?> selected <?php endif; ?>>display</option>
			</select>
		</p>
		<?php 
	}

} // class FooWidget

add_action('widgets_init', create_function('', 'return register_widget("WP_Widget_Recent_Posts_wptriumph");'));

?>