<?php 
get_header(); 
$theme_options = get_option('symphony_options');
//print_r($theme_options);
?>
			
			<div id="content" class="clearfix">
				<?php if (function_exists('yoast_breadcrumb')) {yoast_breadcrumb('<div class="breadcrumbs">','</div>');}?>			
				<div id="main" class="clearfix" role="main">
					<div class="clearfix"></div>
					<?php if (have_posts()) : $i=0; while (have_posts()) : $i++; the_post(); ?>
					<?php $iseven = ( ( $i % 2 == 0 ) ? 'post-even' : '' ); ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class('post post-home '. $iseven ); ?>>
						
						<header>
                        	<?php if ( get_post_format() == 'video' && $theme_options['symphony_post_use_video'] ) : echo wptriumph_video_post(); else : ?>
                        	<div class="post-thumb"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php if ( has_post_thumbnail() ) the_post_thumbnail('thumb-300'); else { ?><!--<img src="<?php echo get_bloginfo('template_url'); ?>/library/images/noimg.png" width="180" height="117" />--> <?php } ?></a>
                            </div>
                            <?php endif; ?>
							
							<h2 class="post-title h3"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
							
							<p class="meta"><?php _e("Posted", "wptriumph"); ?> <time><?php the_time('F jS, Y'); ?></time> <?php _e("by", "wptriumph"); ?> <?php the_author_posts_link(); ?> <span class="amp">&</span> <!--<?php _e("filed under", "wptriumph"); ?> <?php the_category(', '); ?>-->.</p>
						
						</header> <!-- end article header -->
					
						<section class="post_content clearfix">
							<?php echo excerpt_string(get_the_excerpt(), 25); ?>
					
						</section> <!-- end article section -->
						
						<footer>
			
							<!--<p class="tags"><?php the_tags('<span class="tags-title">Tags:</span> ', ', ', ''); ?></p>-->
                            <a class="read-more" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php _e('+'); ?></a>
							
						</footer> <!-- end article footer -->
					
					</article> <!-- end article -->
					
					<?php comments_template(); ?>
					
					<?php endwhile; ?>	
					<div class="clearfix"></div>
					<?php if (function_exists('wptriumph_pagenavi')) { // if expirimental feature is active ?>
						
						<?php wptriumph_pagenavi(); // use the page navi function ?>
						
					<?php } else { // if it is disabled, display regular wp prev & next links ?>
						<nav class="wp-prev-next">
							<ul class="clearfix">
								<li class="prev-link"><?php next_posts_link(_e('&laquo; Older Entries', "wptriumph")) ?></li>
								<li class="next-link"><?php previous_posts_link(_e('Newer Entries &raquo;', "wptriumph")) ?></li>
							</ul>
						</nav>
					<?php } ?>		
					
                    
					<?php else : ?>
					
					<article id="post-not-found">
					    <header>
					    	<h1><?php _e('Not Found', 'wptriumph'); ?></h1>
					    </header>
					    <section class="post_content">
					    	<p><?php _e('Sorry, but the requested resource was not found on this site.', 'wptriumph'); ?></p>
					    </section>
					    <footer>
					    </footer>
					</article>
					
					<?php endif; ?>
			
				</div> <!-- end #main -->
    
				<?php get_sidebar(); // sidebar 1 ?>
    
			</div> <!-- end #content -->

<?php get_footer(); ?>