<?php

/*
Bones Plugins & Extra Functionality
Author: Eddie Machado
URL: http://themble.com/bones/

This file contains extra features not 100% ready to be included
in the core. Feel free to edit anything here or even help us fix
and optimize the code! 

IF YOU WANT TO SUBMIT A FIX OR CORRECTION, PLEASE CONTACT US HERE:
http://themble.com/bones/dev

IF YOU WANT TO DISABLE THIS FILE, REMOVE IT'S CALL IN THE FUNCTIONS.PHP FILE

*/

include_once('plugins/breadcrumbs.php');

function wptriumph_pagenavi(){
	global $wp_query;
	$show_number = 2;
	$total = $wp_query->max_num_pages;
	if ( $total > 1 )  {
		if ( !$current_page = get_query_var('paged') )
			$current_page = 1;
		
		if ( !get_option('permalink_structure' ) )
			$format = '?paged=%#%';
		else
			$format = 'page/%#%/';
		
		if ( is_search() ){
			$format = '&paged=%#%';
		}

		echo '<div class="page-navigation">';
		$paginate =  paginate_links(array(
			'base' => get_pagenum_link(1) . '%_%',
			'format' => $format,
			'current' => $current_page,
			'total' => $total,
			'show_all' => true,
			'type' => 'array',
			'prev_text' => '&larr;',
			'next_text' => '&rarr;',
		));
		$fi = 0;
		$prev = '';
		$first = '';
		$left_dot = '';
		if ( strpos( $paginate[0], 'prev' ) !== false ){
			$fi = 1;
			$prev = '<li>' . $paginate[0] . '</li>';
			if ( ($current_page - $show_number ) > 1 ){
				$fi = $current_page - $show_number;
				$first = '<li>' . preg_replace('/>[^>]*[^<]</', '>First<', $paginate[1]) . '</li>';
				$left_dot = '<li><span>...</span></li>';
			}
		}
		$la = count($paginate) - 1;
		$next = '';
		$last = '';
		$right_dot = '';
		if ( strpos( $paginate[count($paginate) - 1], 'next' ) !== false ){
			$la = count($paginate) - 2;
			$next = '<li>' . $paginate[count($paginate) - 1] . '</li>';
			if ( ($current_page + $show_number ) < $total ){
				$la = $current_page + $show_number;
				$last = '<li>' . preg_replace('/>[^>]*[^<]</', '>Last<', $paginate[count($paginate) - 2]) . '</li>';
				$right_dot = '<li><span>...</span></li>';
			}
		}
		
		echo '<span class="page-of">'. __('Page', 'wptriumph') . ' ' . $current_page . __(' of ', 'wptriumph') . $total . '</span>';
		echo '<ul class="page_navi clearfix">';
		echo $first . $left_dot;
		for ( $i = $fi; $i <= $la; $i++ ){
			echo '<li>' . $paginate[$i] .'</li>';
		}
		echo $right_dot . $last;
		echo $prev;
		echo $next;
		echo '</ul>';
		echo '</div>';
	}
}

/* 
Facebook Connect Image Fix
This was built of a post from Yoast that should
fix the facebook issue when sharing something w/
facebook where it selects a random photo from
your site. This should use a photo from the actual post.
*/

// facebook share correct image fix (thanks to yoast)
function wptriumph_facebook_connect() {
	if (is_singular()) {
	  global $post;
	  if ( current_theme_supports('post-thumbnails') 
	      && has_post_thumbnail( $post->ID ) ) {
	    $thumbnail = wp_get_attachment_image_src( 
	      get_post_thumbnail_id( $post->ID ), 'thumbnail', false);
	    echo '<meta property="og:image" 
	      content="'.$thumbnail[0].'" />';	
	  }
	  echo '<meta property="og:title" 
	    content="'.get_the_title().'" />';
	  if ( get_the_excerpt() != '' )
	    echo '<meta property="og:description" 
	      content="'.strip_tags( get_the_excerpt() ).'" />';
	}
}

	// add this in the header 
	add_action('wp_head', 'wptriumph_facebook_connect');
	



/*
HTML5 Video using Shortcode within WP

This feature is meant to make HTML5 Video symphony to use.
to post a video, you simply have to use the shortcode:

[video src="filename" width="640px" height="340px" poster="imagename.jpg"]

Don't add a file extention as this will be added depending on what
browser you are using. Remember you need two file formats for it to
work consistently across all browsers:

filename.mp4 (used for Safari, Chrome, Flash Fallback)
filename.ogv (used for Firefox)

Be sure to make sure your directories are correct.
Defaults are in your uploads folder in wp-contents, 
but you can change it if you use a CDN or another 
hosting service.

This code was built upon a plugin created by Rob McGuire (http://robmcguire.net/)

*/

// html5 video & fallback 
function wptriumph_html5_video( $atts, $content = null ) {
	extract( shortcode_atts( array(
	'src' => '', /* this one is handled using the code below */
	'options' => 'controls autobuffer', /* adds controls & autobuffer automatically */
	'width' => '', /* depends on the width you enter */
	'height' => '', /* depends on the width you enter */
	'poster' => '', /* the background image (you need to use poster=) */
	'format' => 'auto', /* auto adds the file format */
	'class' => '', /* this adds a class to the video for further customization */
	), $atts ) );
	$output = '';
	$fallbacktype=''; /* the file extension of the file that will play in the flash player */
	$fallbackpath = get_template_directory_uri(). '/library/js/flowplayer/flowplayer-3.2.5.swf'; /* location of the fallback player */
	$videostorage = ''; //WP_CONTENT_URL .'/uploads/'; /* this can be changed to a cdn if you like */
	$fallbackvid = '<object id="flowplayer" width="'.$width.'" height="'.$height.'" data="'.$fallbackpath.'" 
	type="application/x-shockwave-flash"><param name="movie" value="'.$fallbackpath.'" /><param name="allowfullscreen" value="true" /><param name="flashvars" value=\'config={"clip": {"url": "'.$videostorage.''.$src.''.$fallbacktype.'", "autoPlay":false, "autoBuffering":true}}\' /></object>';
	$output .= '<video class="'.$class.'" width="'.$width.'" height="'.$height.'" poster="'.$videostorage.''.$poster.'" '.$options.'>' . "\n"; /* opening the video & inputting variables */
	$output .= '<source src="'.$videostorage.''.$src.'" type=\'video/mp4; codecs="avc1.42E01E, mp4a.40.2"\' />' . "\n"; /* this is the safari version */
	$output .= '<source src="'.$videostorage.''.$src.'" type=\'video/ogg; codecs="theora, vorbis"\' />' . "\n"; /* this is the firefox version */
	$output .= $fallbackvid.'</video>'; /* this is the fallback & closing tag */
	$output = $fallbackvid;
	return $output;
}
	// adding the shortcode to wordpress
add_shortcode('video', 'wptriumph_html5_video'); /* creates the video using wordpress shortcodes */

// adding the facebook and twitter links to the user profile
function wptriumph_add_user_fields( $contactmethods ) {
// Add Facebook
$contactmethods['user_fb'] = 'Facebook';
// Add Twitter
$contactmethods['user_tw'] = 'Twitter';
return $contactmethods;
}
add_filter('user_contactmethods','wptriumph_add_user_fields',10,1);

// Display the Browser People Are Using
function wptriumph_browser_class($classes) {
	global $is_lynx, $is_gecko, $is_IE, $is_opera, $is_NS4, $is_safari, $is_chrome, $is_iphone;
		if($is_lynx) $classes[] = 'browser-lynx';
		elseif($is_gecko) $classes[] = 'browser-gecko';
		elseif($is_opera) $classes[] = 'browser-opera';
		elseif($is_NS4) $classes[] = 'browser-ns4';
		elseif($is_safari) $classes[] = 'browser-safari';
		elseif($is_chrome) $classes[] = 'browser-chrome';
		elseif($is_IE) $classes[] = 'browser-ie';
		else $classes[] = '';
		if($is_iphone) $classes[] = 'browser-iphone';
	return $classes;
}
// Add the Browser Class to the Body Class
add_filter('body_class','wptriumph_browser_class');

/*slider function */
function wptriumph_featured_slider( $args = 'showposts=4' ){
	$theme_options = get_option('symphony_options'); 
	
	function wptriumph_slider_excerpt_length($length) { return 30; }
	add_filter('excerpt_length', 'wptriumph_slider_excerpt_length');
	
	?>
	<div id="slider">
		<div class="items">
		<?php $i = 0; $caption =""; ?>
			<?php $recent = new WP_Query($args); while($recent->have_posts()) : $recent->the_post();?>
        	<div class="item">
				<?php if ( get_post_format() == 'video' && $theme_options['symphony_post_use_video'] ) : echo wptriumph_video_post(); else : ?>
					<?php if (has_post_thumbnail()): ?>
						<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="slider-thumb"><?php the_post_thumbnail('thumb-640'); ?></a>
					<?php else: ?>
						<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="slider-thumb"><img src="<?php bloginfo('template_url'); ?>/images/noimg.png" alt="<?php the_title(); ?>" width="640px" height="397px"/></a>
					<?php endif;  ?>
				<?php endif; ?>
            	<div class="slider-content">
                	<!--<h4 class="section"><span><?php _e('Featured', 'wptriumph'); ?></span></h4>-->
					<h2 class="entry-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title() ; ?></a></h2>
                    <p class="meta"><?php _e("Posted", 'wptriumph'); ?> <span><?php the_time('F jS, Y'); ?></span> <?php _e("by", 'wptriumph'); ?> <?php the_author_posts_link(); ?> <span class="amp">&</span> <?php _e("filed under", 'wptriumph'); ?> <?php the_category(', '); ?>.</p>
                	<div class="entry-content"><?php the_excerpt(); ?></div>
            	</div>
            </div>
           	<?php $i++; ?>
			<?php endwhile;wp_reset_query(); ?>
		</div>
		<div class="clearfix"></div>
		<div class="slider-nav page-navigation">
        	<span class="page-of"><?php _e('Featured', 'wptriumph'); ?> <span class="curr-number">1</span> <?php _e('of', 'wptriumph'); ?> <?php echo $i; ?></span>
            <ul class="page_navi clearfix">
            	<li><a href="#"  class="slider-prev" >&larr;</a></li>
				<?php for ( $j = 0; $j < $i; $j++ ) { ?>
					<li><a href="#" class="index"><?php echo ($j + 1); ?></a></li>
				<?php } ?>
                <li><a href="#"  class="slider-next" >&rarr;</a></li>
            </ul>
		</div>
		<?php remove_filter('excerpt_length', 'wptriumph_slider_excerpt_length'); ?>
	</div> <!--End of slider-->
	<div class="clearfix"></div>

<?php
}

// Show popular posts, it's default show popular posts, but can be used to show other post, just modified the args argument
// This function used as related posts too.
function wptriumph_popular_post($title = 'Popular Posts', $args = 'orderby=comment_count&order=DESC&showposts=3' ){
	$theme_options = get_option('symphony_options'); //print_r($theme_options); 

	?>
	<div id="more-posts" class="clearfix">
		<?php $i = 1; $caption =""; ?>
			<h4 class="section"><span><?php echo $title; ?></span></h4>
			<?php $recent = new WP_Query($args); while($recent->have_posts()) : $recent->the_post();?>
            <?php if ( $i % 2 == 0) $iseven = ' even'; else $iseven = ' odd'; ?>
        	<div class="item<?php echo $iseven; ?> <?php if ( $i % 3 == 0 ) echo 'clearfix'; ?>">
				<?php if (has_post_thumbnail()): ?>
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="pop-thumb"><?php the_post_thumbnail('thumb-180'); ?></a>
				<?php else: ?>
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="pop-thumb"><img src="<?php bloginfo('template_url'); ?>/library/images/noimg.png" alt="<?php the_title(); ?>" width="180px" height="1170px"/></a>
				<?php endif;  ?>
            	<div class="popular-content">
					<h3 class="entry-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title() ; ?></a></h3>
                	<div class="entry-content"><?php echo excerpt_string(get_the_excerpt(), 10); ?></div>
            	</div>
            </div>
				<?php $i++; ?>
			<?php endwhile;wp_reset_query(); ?>
	</div> <!--End of pop-->
<?php
}

// Create the accordion slider markup
function wptriumph_accordion( $title = 'Special Reports', $args = 'showposts=6' ){
	$theme_options = get_option('mediaflux'); //print_r($theme_options); 
	
	?>
	<div id="accordion">
		<?php $i = 1; $caption =""; ?>
			<h4 class="section"><span><?php echo $title; ?></span></h4>
            <!--<p>In-depth guides to the news you need to know more about, latest news, videos and reporting from the Megazine News team.</p>-->
            <div class="items">
			<?php $recent = new WP_Query($args); while($recent->have_posts()) : $recent->the_post();?>
            <?php if ( $i % 2 == 0) $iseven = ' even'; else $iseven = ' odd'; ?>
        	<div class="item<?php echo $iseven; ?>">
				<?php if (has_post_thumbnail()): ?>
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="acc-thumb"><?php the_post_thumbnail('thumb-400'); ?></a>
				<?php else: ?>
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="acc-thumb"><img src="<?php bloginfo('template_url'); ?>/images/noimg.png" alt="<?php the_title(); ?>" width="400px" height="260px"/></a>
				<?php endif;  ?>
            	<div class="accordion-content">
					<h3 class="entry-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title() ; ?></a></h3>
					<div class="acc-post-info"><?php the_time('m.d.y'); ?> / <?php comments_number('No Comment', '1 Comment', '% Comments'); ?></div>
            	</div>
            </div>
				<?php $i++; ?>
			<?php endwhile;wp_reset_query(); ?>
            </div>
	</div> <!--End of pop-->
<?php
}


/* get video embed string, attached on featured video on the post writing screen */
function wptriumph_video_post( $post_id = '' ){
	global $post;
	if ( !$post_id ) $post_id = $post->ID;
	$embed = '';
	if ( 'video' == get_post_format($post_id)){
		$video_options = get_post_meta($post_id, '_wptriumph_video_options', true );
		
		if ( $video_options['video_provider'] == 'vimeo' ){
			$embed = '<div class="video-container"><iframe src="http://player.vimeo.com/video/'. $video_options['video_id'] .'?title=0&amp;byline=0&amp;portrait=0" width="800" height="450" ></iframe></div>';
		}elseif( $video_options['video_provider'] == 'youtube' ){
			$embed = '<div class="video-container"><iframe src="http://www.youtube.com/embed/' . $video_options['video_id'] . '" allowfullscreen></iframe></div>';
		}else{
			$embed = '<div class="video-container">' . do_shortcode('[video src="'. $video_options['video_id'] .'" width="400px" height="250px"]') . '</div>';
		}
	}else{
		$embed = '';
	}	
	return $embed;
}


?>