<?php

// wepixels - TWITTER WIDGET v.2.0
// www.wepixels.com

class WP_Widget_Video_wptriumph extends WP_Widget {
	/** constructor */
	function WP_Widget_Video_wptriumph() {
		$widget_ops = array('classname' => 'widget_video', 'description' => __( 'wptriumph - Latest video v.1.0', 'wptriumph') );
		$this->WP_Widget('video_wptriumph', __('wptriumph - Latest video v.1.0', 'wptriumph'), $widget_ops);
	}

	function widget($args, $instance) {		
		extract( $args );
		$default = array('widget_title'=>__('Latest Videos','wptriumph'), 'id'=> '', 'qty'=>1 );			
		$instance = wp_parse_args($instance, $default);			
		$widget_title = apply_filters('widget_title', $instance['widget_title']);
		$id = $instance['id'];
		$qty = 1;
		// WIDGET OUTPUT
		echo $before_widget;
		?>
		<?php if(!empty($widget_title)){ echo $before_title.$widget_title.$after_title ;} ?>
		<?php
		$args = array(
			'tax_query' => array(
				array(
					'taxonomy' => 'post_format',
					'field' => 'slug',
					'terms' => 'post-format-video'
					)
			), 'showposts' => $qty
		);
		$r = new WP_Query($args);
		$i = 0;
		while ($r->have_posts()) : $r->the_post();
		?>
			<div class="the-video">
				<?php echo wptriumph_video_post(); ?>
				<h4 class="video-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
			</div>
		<?php 
			$i++;
		endwhile;
		?>
		<a rel="nofollow" class="widget-more" href="<?php echo get_post_format_link('video'); ?>">See More &rarr;</a>
		<?php
		echo $after_widget;		
	}

	function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		$instance['widget_title'] = strip_tags($new_instance['widget_title']);

		return $instance;
	}

	function form($instance) {	
		$default = array('widget_title'=>__('Latest Videos','wptriumph'), 'id'=> '', 'qty'=>1 );			
		$instance = wp_parse_args($instance, $default);			
		$widget_title = $instance['widget_title'];
		$id = $instance['id'];
	?>
		<input style="display:none;" type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>" />
		<p>
			Widget title:
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('widget_title'); ?>" value="<?php echo $widget_title; ?>" />
		</p>

	<?php
	}

}

add_action('widgets_init', create_function('', 'return register_widget("WP_Widget_Video_wptriumph");'));
?>